LFR-FSW - Bug #707

R3+ : dans TM_LFR_PARAMETER_DUMP toutes les valeurs relatives aux RW et PAS FILTER sonta 0
au démarrage

20/06/2016 10:26 AM - bruno katra

Status: Closed Start date: 20/06/2016
Priority: High Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Testé en 3.1.0.2, concerne les champs suivants :
SY_LFR_PAS_FILTER_ENABLED
SY_LFR_PAS_FILTER_MODULUS
SY_LFR_PAS_FILTER_TBAD
SY_LFR_PAS_FILTER_OFFSET
SY_LFR_PAS_FILTER_SHIFT
SY_LFR_SC_RW_DELTA_F
PA_LFR_RW_MASK_F0_WORD1
PA_LFR_RW_MASK_F0_WORD2
PA_LFR_RW_MASK_F0_WORD3
PA_LFR_RW_MASK_F0_WORD4
PA_LFR_RW_MASK_F1_WORD1
PA_LFR_RW_MASK_F1_WORD2
PA_LFR_RW_MASK_F1_WORDS3
PA_LFR_RW_MASK_F1_WORD4
PA_LFR_RW_MASK_F2_WORD1
PA_LFR_RW_MASK_F2_WORD2
PA_LFR_RW_MASK_F2_WORD3
PA_LFR_RW_MASK_F2_WORD4

History

#1 - 20/06/2016 10:26 AM - bruno katra

- Subject changed from R3+ : dans TM_LFR_PARAMETER_DUMP toutes les valeurs relatives aux RW et PAS FILTER sont a 0 to R3+ : dans
TM_LFR_PARAMETER_DUMRP toutes les valeurs relatives aux RW et PAS FILTER sont a 0 au démarrage

#2 - 21/06/2016 09:57 PM - paul leroy

Exact, mea culpa. Mise a jour effectuée pour fsw >= 3.1.0.3

#3 - 21/06/2016 09:58 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to bruno katra

#4 - 19/08/2016 02:04 PM - Veronique bouzid
- Status changed from Resolved to Feedback
- Assignee changed from bruno katra to paul leroy

- Priority changed from Normal to High

Bug partiellement corrigé en 3.1.0.4.
Le champ SY_LFR_PAS_FILTER_SHIFT n'est pas initialisé avec la valeur par défaut de I'ICD.
On devrait avoir 0.5 comme valeur et on a 1.0.

Les fichiers (2016_08_19-11_13_58*) sont rangés dans le répertoire /home/validation/data/R3+/3.1.0.4/TESTS-UNITAIRES/set_load_filter.
Les champs décrits ci-dessous sont bons

SY_LFR_PAS_FILTER_ENABLED

SY_LFR_PAS_FILTER_MODULUS

SY_LFR_PAS_FILTER_TBAD
SY_LFR_PAS_FILTER OFFSET
SY_LFR_SC_RW DELTA F
PA_LFR_RW_MASK_F0_WORD1
PA_LFR_RW MASK_FO_ WORD2
PA_LFR_RW _MASK_FO0_WORD3
PA_LFR_RW MASK_FO_WORD4
PA_LFR_RW MASK_Fi_WORD1
PA_LFR_RW MASK_Fi_WORD2
PA_LFR_RW MASK_F1_WORD3
PA_LFR_RW MASK Fi WORD4
PA_LFR_RW_MASK_F2 WORD1
PA_LFR_RW MASK_F2 WORD2
PA_LFR_RW MASK_F2 WORD3
PA_LFR_RW MASK_F2 WORD4

#5 - 29/12/2016 04:10 PM - Veronique bouzid
ATTENTION: UN AUTRE CHAMP EST EGALEMENT MAL INITIALISE

Le champ SY_LFR_PAS_FILTER_DELTA_F n'est pas initialisé a la valeur par défaut (0.025 pour ICD 4.1). En clair il contient n importe quoi.

11:13:36.652458, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: DUMP = 6, (PACKET _ID=0xccé),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),
PACKET_LENGTH=141, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE:
PARAMETER_DUMP = 32, DOE_SPARE=0x0, SY LFR_PAS FILTER _ENABLED: DISABLED =0, SY_LFR_PAS FILTER_MODULUS=4,
SY_LFR_PAS_FILTER_TBAD=1061109567, SY_LFR_PAS_FILTER_OFFSET=0, SY_LFR_PAS_FILTER_SHIFT=1061109567,
SY_LFR_PAS_FILTER_DELTA_F=257701985340, PA_LFR_RW_MASK_F0_WORD1=0xfffffffl, PA_LFR_RW_MASK_F0_WORD2=0xffffffff,
PA_LFR_RW MASK_F0 WORD3=0xffffffff, PA_ LFR_RW_MASK_FO_ WORD4=0xffffffff, PA_LFR_RW MASK_F1 WORD1=0xfffffff,
PA_LFR_RW_MASK_F1_WORD2=0xffffffff, PA_LFR_RW_MASK_F1_WORD3=0xffffffff, PA_LFR_RW_MASK_F1_WORD4=0xfffff,
PA_LFR_RW_MASK_F2_WORD1=0xffffffff, PA_LFR_RW_MASK_F2_WORD2=0xfffffff, PA_LFR_RW_MASK_F2_WORD3=0xffffff,

PA LFR_RW MASK_F2 WORDA4=0xffffffff, SPARES_3=0x0

le fichier de log (2016_08_19-11_13_58*) est dans le répertoire /home/validation/data/R3+/1.1.89/TESTS-UNITAIRES/set_load_filter.

#6 - 05/01/2017 04:43 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

La mauvaise initialisation venait d'une erreur dans la fonction floatToChar (relevée dans une autre issue Redmine il me semble), utilisée
exclusivement pour initialiser les paramétres

SY_LFR_PAS_FILTER_TBAD
SY LFR_PAS_FILTER SHIFT
SY_LFR_SC_RW DELTA F

Correction effectuée pour fsw >= 3.1.0.5

#7 - 18/01/2017 10:07 AM - Veronique bouzid
Bug corrigé en 3.1.0.6.

Le script utilisé est /home/validation/SCRIPT/R3+/set_load_filter_par.py.

Extrait du fichier 2017_01_18-09_00_41-Detail.txt
--> Vérification des valeurs par défaut

09:00:19.84812, TC_LFR_DUMP_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET = 1, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12,
(PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=12532,
(PACKET_SEQUENCE_CONTROL=0xf0f4), PACKET_LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION =1,
ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE-=1,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_PARAMETERS = 31, SOURCE_ID: MISSION_TIMELINE = 110,
CRC = 0x24d4

09:00:19.855365, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: DUMP = 6, (PACKET _ID=0xcc6),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET SEQUENCE_CONTROL=0xc000),
PACKET LENGTH=141, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE:
PARAMETER_DUMP = 32, DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x800000056¢cc6, PA_LFR_HK_SID: LFR_DUMP_SID = 10,
SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, SY_LFR_N_SWF_L=2048,
SY LFR_N_SWF _P=300(s), SY LFR_N_ASM_P=3600(s), SY LFR_N_BP_P0=4(s), SY LFR_N_BP_P1=20(s), SPARE=0x0,

SY LFR_N_CWF_LONG_F3=0, SPARE=0x0, SY_LFR_B_BP_P0=1(s), SY_LFR_B_BP_P1=5(s), SY_LFR_S1_BP_P0=0.25(s),
SY_LFR_S1_BP_P1=1(s), SY_LFR_S2 BP_P0=1(s), SY_LFR_S2 BP_P1=5(s), SY_LFR_FBINS_FO_WORD1=0xfffffff,

SY LFR_FBINS_FO WORD2=0xffffffff, SY LFR_FBINS FO WORD3=0xffffffff, SY LFR_FBINS FO WORD4=0xffffffff,
SY LFR_FBINS_F1_WORD1=0xffffffff, SY LFR_FBINS F1_WORD2=0xffffffff, SY LFR_FBINS F1_WORD3=0xffffffff,
SY_LFR_FBINS_F1_WORDA4=Oxffffffff, SY LFR_FBINS_F2 WORD1=0xffffffff, SY LFR_FBINS_F2 WORD2=0xffffffff,
SY_LFR_FBINS_F2 WORD3=O0xffffffff, SY LFR_FBINS_F2 WORD4=0xffffffff, SPARES_2-0x0, DOE_SPARE=0x0,
SY_LFR_PAS_FILTER_ENABLED: DISABLED =0, SY_LFR_PAS_FILTER_MODULUS=4, SY_LFR_PAS_FILTER_TBAD=1065353216,
SY_LFR_PAS_FILTER_OFFSET=0, SY_LFR_PAS_FILTER_SHIFT=1056964608, SY LFR_PAS_FILTER_DELTA_F=1020054733
,PA_LFR_RW_MASK_F0_WORD1=0xffffffff, PA_LFR_RW_MASK_FO_WORD2=0xffffffff, PA_LFR_RW _MASK_F0_WORD3=0xfffffff,

PA LFR_RW MASK_FO WORDA4=Oxffffffff, PA LFR_RW_MASK_F1_WORD1=0xfffffff, PA_LFR_RW _MASK_F1_ WORD2=0xfffffff,
PA_LFR_RW _MASK_F1_WORD3=Oxffffffff, PA_LFR_RW_MASK_F1_WORD4=0xffffffff, PA_LFR_RW_MASK_F2_ WORD1=0xffffffff,
PA_LFR_RW MASK_F2 WORD2=0xffffffff, PA_LFR_RW_MASK_F2_WORD3=0xffffffff, PA_LFR_RW_MASK_F2_ WORD4=0xfffffff,
SPARES_3=0x0

--> SY_LFR_PAS_FILTER_ENABLED: DISABLED =0 Note: Normal apres la sequence de boot ce champ est positionné a DISABLED
--> SY_LFR_PAS_FILTER_MODULUS=4

--> SY_LFR_PAS_FILTER_TBAD=1065353216 soit 1.0

--> SY_LFR_PAS_FILTER_OFFSET=0

--> SY_LFR_PAS_FILTER_SHIFT=1056964608 soit 0.5

--> SY_LFR_PAS_FILTER_DELTA_F=1020054733 soit 0.0.25 (conforme a 4.1)

Les fichiers (2017_01_18-09_00_41%) se trouvent dans le répertoire /home/validation/data/R3+/3.1.0.6/3.1.91/TESTS-UNITAIRES/set_load_filter

Au passage, il y avait une erreur fde mon coté dans la fonction tm_Ifr_parameter_dump_analyze.py (lfrverificommon/icd) qui décodait mal
le champ SY_LFR_SC_RW_DELTA_F.

Contexte du test

FSW 3.1.0.6

VHDL 3.1.91

PFM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

#8 - 18/01/2017 12:12 PM - Veronique bouzid
- Status changed from Feedback to Closed
